XYChart (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart

## Class XYChart

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.BeakerxWidget
    - - com.twosigma.beakerx.chart.ChartDetails
      - - com.twosigma.beakerx.chart.Chart
        - - com.twosigma.beakerx.chart.AbstractChart
          - - com.twosigma.beakerx.chart.xychart.XYChart

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem
  Direct Known Subclasses:
    Plot, TimePlot

      public abstract class XYChart
      extends AbstractChart

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.twosigma.beakerx.chart.AbstractChart

      `timeZone, yAxis`

    - ### Fields inherited from class com.twosigma.beakerx.chart.Chart

      `PLOT_GRIDLINE, PLOT_LABEL, PLOT_LABEL_X, PLOT_LABEL_Y, PLOT_TITLE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `MODEL, MODEL_MODULE_VALUE, MODEL_UPDATE, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYChart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XYChart` | `add(ConstantBand constantBand)`
    `XYChart` | `add(ConstantLine constantLine)`
    `XYChart` | `add(java.util.List items)`
    `XYChart` | `add(Rasters raster)`
    `XYChart` | `add(Text text)`
    `XYChart` | `add(XYGraphics graphics)`
    `java.util.List<ConstantBand>` | `getConstantBands()`
    `java.util.List<ConstantLine>` | `getConstantLines()`
    `java.util.List<XYGraphics>` | `getGraphics()`
    `java.lang.Integer` | `getLodThreshold()`
    `java.lang.Boolean` | `getLogX()`
    `java.util.List<Rasters>` | `getRasters()`
    `java.util.List<Text>` | `getTexts()`
    `java.lang.Boolean` | `getxAutoRange()`
    `java.lang.Boolean` | `getXAutoRange()`
    `java.lang.Double` | `getxLogBase()`
    `java.lang.Double` | `getXLogBase()`
    `java.lang.Double` | `getxLowerBound()`
    `java.lang.Double` | `getXLowerBound()`
    `java.lang.Double` | `getxUpperBound()`
    `java.lang.Double` | `getXUpperBound()`
    `boolean` | `isxTickLabelsVisible()`
    `boolean` | `isXTickLabelsVisible()`
    `boolean` | `isyTickLabelsVisible()`
    `boolean` | `isYTickLabelsVisible()`
    `XYChart` | `leftShift(ConstantBand constantBand)`
    `XYChart` | `leftShift(ConstantLine constantLine)`
    `XYChart` | `leftShift(Rasters raster)`
    `XYChart` | `leftShift(Text text)`
    `XYChart` | `leftShift(XYGraphics graphics)`
    `void` | `setLodThreshold(java.lang.Integer lodThreshold)`
    `XYChart` | `setLogX(boolean logX)`
    `XYChart` | `setxAutoRange(boolean xAutoRange)`
    `XYChart` | `setXAutoRange(boolean xAutoRange)`
    `XYChart` | `setxBound(double lower, double upper)`
    `XYChart` | `setXBound(double lower, double upper)`
    `XYChart` | `setxBound(java.util.List<java.lang.Number> bound)`
    `XYChart` | `setXBound(java.util.List<java.lang.Number> bound)`
    `XYChart` | `setxLogBase(double xLogBase)`
    `XYChart` | `setXLogBase(double xLogBase)`
    `void` | `setxTickLabelsVisible(boolean xTickLabelsVisible)`
    `void` | `setXTickLabelsVisible(boolean xTickLabelsVisible)`
    `void` | `setyTickLabelsVisible(boolean yTickLabelsVisible)`
    `void` | `setYTickLabelsVisible(boolean yTickLabelsVisible)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.AbstractChart

      `add, getAutoZoom, getCrosshair, getLogY, getOmitCheckboxes, getTimeZone, getxLabel, getXLabel, getxLowerMargin, getXLowerMargin, getxUpperMargin, getXUpperMargin, getyAutoRange, getYAutoRange, getyAutoRangeIncludesZero, getYAutoRangeIncludesZero, getyAxes, getYAxes, getyLabel, getYLabel, getyLogBase, getYLogBase, getyLowerBound, getYLowerBound, getyLowerMargin, getYLowerMargin, getyUpperBound, getYUpperBound, getyUpperMargin, getYUpperMargin, leftShift, leftShift, setAutoZoom, setCrosshair, setLogY, setOmitCheckboxes, setTimeZone, setxLabel, setXLabel, setxLowerMargin, setXLowerMargin, setxUpperMargin, setXUpperMargin, setyAutoRange, setYAutoRange, setyAutoRangeIncludesZero, setYAutoRangeIncludesZero, setYBound, setyBound, setYBound, setyLabel, setYLabel, setyLogBase, setYLogBase, setyLowerMargin, setYLowerMargin, setyUpperMargin, setYUpperMargin`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Chart

      `getCustomStyles, getElementStyles, getGridLineStyle, getInitHeight, getInitWidth, getLabelStyle, getLabelXStyle, getLabelYStyle, getLegendLayout, getLegendPosition, getModelNameValue, getShowLegend, getTitle, getTitleStyle, getUseToolTip, getViewNameValue, serializeToJsonObject, serializeToJsonObject, setCustomStyles, setGridLineStyle, setInitHeight, setInitWidth, setLabelStyle, setLabelXStyle, setLabelYStyle, setLegendLayout, setLegendPosition, setShowLegend, setTitle, setTitleStyle, setUseToolTip`

    - ### Methods inherited from class com.twosigma.beakerx.chart.ChartDetails

      `getDetails, getDetailsFromMessage, getGraphics, getGraphicsById, getGraphicsUid, onActionDetails, openComm, setDetails, updateDetails`

    - ### Methods inherited from class com.twosigma.beakerx.widget.BeakerxWidget

      `activateWidgetInContainer, addValueChangeMsgCallback, beforeDisplay, content, getModelModuleValue, getViewModuleValue, sendModel, sendModelUpdate, sendModelUpdate`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, close, display, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYChart

          public XYChart()

  - ### Method Detail

    - #### add

          public XYChart add(XYGraphics graphics)

    - #### leftShift

          public XYChart leftShift(XYGraphics graphics)

    - #### getGraphics

          public java.util.List<XYGraphics> getGraphics()

    - #### add

          public XYChart add(ConstantLine constantLine)

    - #### leftShift

          public XYChart leftShift(ConstantLine constantLine)

    - #### getConstantLines

          public java.util.List<ConstantLine> getConstantLines()

    - #### add

          public XYChart add(ConstantBand constantBand)

    - #### leftShift

          public XYChart leftShift(ConstantBand constantBand)

    - #### getConstantBands

          public java.util.List<ConstantBand> getConstantBands()

    - #### add

          public XYChart add(Text text)

    - #### leftShift

          public XYChart leftShift(Text text)

    - #### getTexts

          public java.util.List<Text> getTexts()

    - #### add

          public XYChart add(Rasters raster)

    - #### leftShift

          public XYChart leftShift(Rasters raster)

    - #### getRasters

          public java.util.List<Rasters> getRasters()

    - #### add

          public XYChart add(java.util.List items)

      Overrides:
        `add` in class `AbstractChart`

    - #### setXAutoRange

          public XYChart setXAutoRange(boolean xAutoRange)

    - #### setxAutoRange

          public XYChart setxAutoRange(boolean xAutoRange)

    - #### getXAutoRange

          public java.lang.Boolean getXAutoRange()

    - #### getxAutoRange

          public java.lang.Boolean getxAutoRange()

    - #### setXBound

          public XYChart setXBound(double lower,
                                   double upper)

    - #### setxBound

          public XYChart setxBound(double lower,
                                   double upper)

    - #### setXBound

          public XYChart setXBound(java.util.List<java.lang.Number> bound)

    - #### setxBound

          public XYChart setxBound(java.util.List<java.lang.Number> bound)

    - #### getXLowerBound

          public java.lang.Double getXLowerBound()

    - #### getxLowerBound

          public java.lang.Double getxLowerBound()

    - #### getXUpperBound

          public java.lang.Double getXUpperBound()

    - #### getxUpperBound

          public java.lang.Double getxUpperBound()

    - #### setLogX

          public XYChart setLogX(boolean logX)

    - #### getLogX

          public java.lang.Boolean getLogX()

    - #### getXLogBase

          public java.lang.Double getXLogBase()

    - #### getxLogBase

          public java.lang.Double getxLogBase()

    - #### setXLogBase

          public XYChart setXLogBase(double xLogBase)

    - #### setxLogBase

          public XYChart setxLogBase(double xLogBase)

    - #### getLodThreshold

          public java.lang.Integer getLodThreshold()

    - #### setLodThreshold

          public void setLodThreshold(java.lang.Integer lodThreshold)

    - #### isxTickLabelsVisible

          public boolean isxTickLabelsVisible()

    - #### isXTickLabelsVisible

          public boolean isXTickLabelsVisible()

    - #### setxTickLabelsVisible

          public void setxTickLabelsVisible(boolean xTickLabelsVisible)

    - #### setXTickLabelsVisible

          public void setXTickLabelsVisible(boolean xTickLabelsVisible)

    - #### isyTickLabelsVisible

          public boolean isyTickLabelsVisible()

    - #### isYTickLabelsVisible

          public boolean isYTickLabelsVisible()

    - #### setyTickLabelsVisible

          public void setyTickLabelsVisible(boolean yTickLabelsVisible)

    - #### setYTickLabelsVisible

          public void setYTickLabelsVisible(boolean yTickLabelsVisible)